Skip to main content
PATCH
/
v0
/
logs
/
update_field
curl --request PATCH \
  --url 'https://api.unify.ai/v0/logs/update_field' \
  --header "Authorization: Bearer $UNIFY_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
    "project_name": "eval-project",
    "context": "test-context",
    "field_name": "score",
    "description": "Human-readable score for this log entry"
}'
{
    "info": "Field updated successfully."
}
Updates an existing field. For now this is intentionally metadata-only and only supports updating the field description. It does not modify log payloads, derived templates, field names, mutability, or data types.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

project_name
string
required
Name of the project the field belongs to.
context
string | null
default:""
The context of the field to update.
field_name
string
required
The name of the field to update.
description
string | null
required
Field description. This is the only supported field update. Use null to clear the description.
curl --request PATCH \
  --url 'https://api.unify.ai/v0/logs/update_field' \
  --header "Authorization: Bearer $UNIFY_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
    "project_name": "eval-project",
    "context": "test-context",
    "field_name": "score",
    "description": "Human-readable score for this log entry"
}'
{
    "info": "Field updated successfully."
}